Skip to main content
PUT
/
targeting-rules
/
{targetingRuleId}
Update targeting rule
curl --request PUT \
  --url https://api.kameleoon.com/targeting-rules/{targetingRuleId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "siteId": 123,
  "segmentId": 123,
  "targetingConfigurationParam": "<string>",
  "triggerId": 123
}
'
import requests

url = "https://api.kameleoon.com/targeting-rules/{targetingRuleId}"

payload = {
"siteId": 123,
"segmentId": 123,
"targetingConfigurationParam": "<string>",
"triggerId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
siteId: 123,
segmentId: 123,
targetingConfigurationParam: '<string>',
triggerId: 123
})
};

fetch('https://api.kameleoon.com/targeting-rules/{targetingRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "siteId": 123,
  "id": 123,
  "segmentId": 123,
  "targetingConfigurationParam": "<string>",
  "triggerId": 123
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

targetingRuleId
integer<int64>
required

Id of the targeting rule object

Query Parameters

experimentId
integer<int64>
required

Id of the experiment

Body

application/json

Targeting Rule defines the conditions for displaying content to specific user groups based on segments and triggers

siteId
integer<int64>
required

Id of the project this targeting rule belongs to

segmentConfiguration
enum<string>

Configuration defining how the segment should be applied

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
segmentId
integer<int64>

Id of the associated segment (user group) for targeting. If segment is deprecated, no trigger will be available for this rule.

targetingConfigurationParam
string

Additional parameters for trigger configuration. For SAVED_TEMPLATE/HEAT_SLICE - contains segment Id. For PAGE - contains full URL. For URL - contains URL fragment.

triggerConfiguration
enum<string>

Configuration defining how the trigger should be applied. ALL_VISITORS configuration is not allowed for this trigger type

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
triggerId
integer<int64>

Id of the associated trigger (activation condition)

Response

OK

Targeting Rule defines the conditions for displaying content to specific user groups based on segments and triggers

siteId
integer<int64>
required

Id of the project this targeting rule belongs to

id
integer<int64>
read-only

Unique Id of the targeting rule

segmentConfiguration
enum<string>

Configuration defining how the segment should be applied

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
segmentId
integer<int64>

Id of the associated segment (user group) for targeting. If segment is deprecated, no trigger will be available for this rule.

targetingConfigurationParam
string

Additional parameters for trigger configuration. For SAVED_TEMPLATE/HEAT_SLICE - contains segment Id. For PAGE - contains full URL. For URL - contains URL fragment.

triggerConfiguration
enum<string>

Configuration defining how the trigger should be applied. ALL_VISITORS configuration is not allowed for this trigger type

Available options:
ALL_VISITORS,
AUTOPROMO_AUTODEFINED,
GRAPHICAL_PAGES,
HEAT_SLICE,
PAGE,
SAVED_TEMPLATE,
SITE,
URL
triggerId
integer<int64>

Id of the associated trigger (activation condition)